autoweka.instancegenerators

## Class TerminationHoldout

- java.lang.Object
- - autoweka.InstanceGenerator
  - - autoweka.instancegenerators.RandomSubSampling
    - - autoweka.instancegenerators.TerminationHoldout

-     public class TerminationHoldout
      extends RandomSubSampling

  Experimental InstanceGenerator that takes as input a child classifier, and holds back a bunch of data as a 'Termination' set from the SMBO methods. instanceGeneratorArguments: This is a method that requires a child, instance generator, so the format is ARGS[$]CHILDCLASSNAME[$]CHILDARGS terminationSeed - the seed used to split up into the termination or not terminationPercent - the percentage of data to use for a termination set terminationBias - the bias towards a uniform partition instance string format: terminationSeed - the seed used to split up into the termination or not terminationPercent - the percentage of data to use for a termination set terminationBias - the bias towards a uniform partition

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class autoweka.InstanceGenerator

      `InstanceGenerator.NestedArgs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TerminationHoldout(java.lang.String instanceFileName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `weka.core.Instances` | `_getTestingFromParams(java.lang.String params)`
    `weka.core.Instances` | `_getTrainingFromParams(java.lang.String params)`
    `java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>>` | `getAllInstanceFeatures(java.lang.String params)` Some SMBO methods can leverage extra features about an Instance, this method should return a map of feature/value pairs for all instances
    `java.util.List<java.lang.String>` | `getAllInstanceStrings(java.lang.String params)` Gets a list of all the 'params' Strings that can be used with this InstanceGenerator.

    - ### Methods inherited from class autoweka.instancegenerators.RandomSubSampling

      `getInstances, newFilter`

    - ### Methods inherited from class autoweka.InstanceGenerator

      `create, create, getTesting, getTestingFromParams, getTraining, getTrainingFromParams`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TerminationHoldout

          public TerminationHoldout(java.lang.String instanceFileName)

  - ### Method Detail

    - #### _getTrainingFromParams

          public weka.core.Instances _getTrainingFromParams(java.lang.String params)

      Overrides:
        `_getTrainingFromParams` in class `RandomSubSampling`

    - #### _getTestingFromParams

          public weka.core.Instances _getTestingFromParams(java.lang.String params)

      Overrides:
        `_getTestingFromParams` in class `RandomSubSampling`

    - #### getAllInstanceStrings

          public java.util.List<java.lang.String> getAllInstanceStrings(java.lang.String params)

      Description copied from class: `InstanceGenerator`
      Gets a list of all the 'params' Strings that can be used with this InstanceGenerator. For example, the for 10-fold Cross Validation this method would return 10 Strings defining each fold
      Overrides:
        `getAllInstanceStrings` in class `RandomSubSampling`
      Parameters:
        `params` - The parameters.
      Returns:
        The list of parameters.

    - #### getAllInstanceFeatures

          public java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>> getAllInstanceFeatures(java.lang.String params)

      Description copied from class: `InstanceGenerator`
      Some SMBO methods can leverage extra features about an Instance, this method should return a map of feature/value pairs for all instances
      Overrides:
        `getAllInstanceFeatures` in class `InstanceGenerator`
      Parameters:
        `params` - The parameters.
      Returns:
        The map of feature/value pairs.